# Kapitel 4
# Aufgabe 18
from gturtle import *

def dicke_linie(seite):
    forward(seite)
    right(90)
    forward(1)
    right(90)
    forward(seite)
    right(180)

def farb_quadrat(seite, farbe):
    setPenColor(farbe)
    repeat seite-1:
        dicke_linie(seite) 

def gehe_nach_links(laenge):
    penUp()
    left(90)
    forward(laenge)
    right(90)
    penDown()

def gehe_nach_rechts(laenge):
    penUp()
    right(90)
    forward(laenge)
    left(90)
    penDown()

def quadrat_reihe(seite, n, farbe1, farbe2):
    repeat n:
        farb_quadrat(seite, farbe1)
        gehe_nach_rechts(1)
        farb_quadrat(seite, farbe2)
        gehe_nach_rechts(1)
    gehe_nach_links(seite * 2 * n)

def schachbrett(seite, m, n, farbe1, farbe2):
    repeat m:
        quadrat_reihe(seite, n, farbe1, farbe2)
        penUp()
        forward(seite)
        penDown()
        quadrat_reihe(seite, n, farbe2, farbe1)
        penUp()
        forward(seite)
        penDown()

makeTurtle()
hideTurtle()
schachbrett(20, 5, 3, "cyan", "dark green")